# coding=utf-8

import django_filters

from apps.vehicle.models import Vehicle


class VehicleFilter(django_filters.FilterSet):
    name = django_filters.CharFilter(field_name='name', lookup_expr='icontains')
    tel = django_filters.CharFilter(field_name='tel', lookup_expr='icontains')
    number = django_filters.CharFilter(field_name='number', lookup_expr='icontains')

    class Meta:
        model = Vehicle
        fields = '__all__'
